gvSIG CE and SEXTANTE GIS Bug Tracker on MantisBT
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000091gvSIG Community EditionGraphical User Interface (GUI)public2011-07-03 13:102013-07-21 09:29
Reporterbenducke 
Assigned Tobenducke 
PrioritynormalSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersiongvSIG OADE 2010 1.0 
Target VersiongvSIG CE 1.0.0Fixed in VersiongvSIG CE (trunk) 
Summary0000091: Add a better resize handle to MDI windows
DescriptionWe need to add a resize handler icon to the lower-right corner of all MDI windows. The current default MDI windows theme makes it too hard to resize Windows. This is especially frustrating with View windows.
TagsNo tags attached.
Attached Files? file icon jgoodies-common-1.6.0.jar [^] (31,348 bytes) 2013-07-21 09:28
? file icon jgoodies-looks-2.5.3.jar [^] (408,530 bytes) 2013-07-21 09:29

- Relationships

-  Notes
(0000123)
benducke (developer)
2012-05-23 20:43

One easy fix would be to add a status bar area to both the View and Map MDI windows (the Table windows have one already). This would give the user some "pixel tolerance" for grabbing the lower right corner and resizing the window. Most Java themes should add a resize handle to the status bar automatically. We would just need to find something useful to display in the status bar for each window...
(0000125)
spatialjoe (reporter)
2012-05-23 20:56

Not sure about this one:
Double-clicking the top bar of the windows resizes them - easy to grab any corner to then adjust window size.
OTOH - the window bottom frame should at least be as wide as the sides. This probably solves the "grapping problem" already.
(0000167)
benducke (developer)
2012-08-11 08:44

Things like window frame width are up to the Java Swing theme to control, we cannot do that directly. The only way to guarantee a large enough resize handle is to add a status bar to the window. One useful other thing to do with the extra space would be to provide scaling and SRS information per data view instead of per project view.
(0000240)
benducke (developer)
2013-07-14 19:58

We now have a modified version of JGoodies Looks in the SVN that provides much better frame borders for internal windows (class JInternalFrame). The default border width is 6 pixels, but this can be configured by setting the -DPlastic.resizableWindowsBorderWidth=[INT] system property.
(0000243)
josecanalejo (administrator)
2013-07-21 09:27

To install the update:

1. Make sure that you are actually using the "Plastic XP" Look & Feel (check the gvSIG CE settings under "General->Appearance").

2. Exit gvSIG CE.

3. Browse to "gvSIG/bin/lib" There should be a file named "looks-2.1.4.jar". Delete that file. Then put the two JARs attached here (jgoodies-common-1.6.0.jar and jgoodies-looks-2.5.3.jar) into the same folder.

4. Restart gvSIG CE.

5. Create a new data View. You should see the difference immediately. The broader window borders apply to all resizable internal windows in gvSIG CE (views, maps, attribute tables, etc.).

- Issue History
Date Modified Username Field Change
2011-07-03 13:10 benducke New Issue
2012-05-23 20:43 benducke Note Added: 0000123
2012-05-23 20:56 spatialjoe Note Added: 0000125
2012-08-11 08:44 benducke Note Added: 0000167
2013-07-14 19:58 benducke Note Added: 0000240
2013-07-14 19:58 benducke Status new => resolved
2013-07-14 19:58 benducke Fixed in Version => gvSIG CE (trunk)
2013-07-14 19:58 benducke Resolution open => fixed
2013-07-14 19:58 benducke Assigned To => benducke
2013-07-21 09:27 josecanalejo Note Added: 0000243
2013-07-21 09:28 josecanalejo File Added: jgoodies-common-1.6.0.jar
2013-07-21 09:29 josecanalejo File Added: jgoodies-looks-2.5.3.jar


Copyright © 2000 - 2011 MantisBT Group
Hosted by Sourceforge.netPowered by Mantis Bugtracker